//
//  NisusAutosizingView.h
//  NisusCore
//
//  Created by Martin on 2018.07.11.
//  Copyright © 2018 Nisus. All rights reserved.
//
//	This is a view that works with autolayout to size itself to exactly fit all its subviews.
//	This view's width and height will automatically adjust to the minimum required to show all subviews.
//	ie: NisusAutosizingView's width == MAX( NSMaxX(subviewFrame) )
//
//	When you work with this view in Xcode you will need to set a placeholder size at design-time.

#import <Cocoa/Cocoa.h>


@interface NisusAutosizingView : NSView

@end




// These two classes only fit themselves along a single axis.
@interface NisusAutosizingWidthView : NisusAutosizingView
@end

@interface NisusAutosizingHeightView : NisusAutosizingView
@end


