//
//  NisusLogManager+Domains.h
//  NisusCore
//
//  Created by Martin on 2019.03.19.
//  Copyright © 2019 Nisus. All rights reserved.
//

#import <NisusCore/NisusLogManager.h>



#if NisusLog_AVAILABLE

@interface NisusLogManager (Domains)

+ (void) registerNisusCoreDomains ;

- (void) registerDomain:(NisusLogDomain*)domain ;
- (NisusLogDomain*) registerEnabledPointer:(BOOL*)isEnabledPtr forLoggingDomainWithName:(NSString*)name ;

- (BOOL) isEnabledLoggingForDomain:(NSString*)name ;
- (BOOL) setIsEnabledLogging:(BOOL)isEnabled forDomain:(NSString*)name ;
- (BOOL) toggleEnabledLoggingForDomain:(NSString*)name ;

@end

#endif // NisusLog_AVAILABLE

